Get Organization Invite (By ID)

Request

GET

https://api.sourcecraft.tech/orgs/id:{org_id}/invites/{invite_id}

Path parameters

Name

Description

invite_id

Type: string

Example: ``

org_id

Type: string

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "id": "example",
  "email": "example",
  "alias": "example",
  "invite_link": "example",
  "invitee": {
    "id": "example",
    "slug": "example"
  },
  "status": "creating",
  "subject": {
    "type": "user",
    "id": "example"
  },
  "created_at": "2025-01-01T00:00:00Z",
  "expires_at": "2025-01-01T00:00:00Z"
}

Name

Description

alias

Type: string

Example: example

created_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

email

Type: string

Example: example

expires_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

id

Type: string

Example: example

invite_link

Type: string

Example: example

invitee

Type: UserEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

status

Type: InviteStatus

Enum: creating, pending, accepted, rejected

subject

Type: Subject

Example
{
  "type": "user",
  "id": "example"
}

UserEmbedded

Name

Description

id

Type: string

Example: example

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example"
}

InviteStatus

Type: string

Enum: creating, pending, accepted, rejected

SubjectType

Type: string

Enum: user, invitee, team

Subject

Name

Description

id

Type: string

Example: example

type

Type: SubjectType

Enum: user, invitee, team

Example
{
  "type": "user",
  "id": "example"
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example